Subject: Re: Re: text suggested by ADs

From: John Loughney <[email-masked]>
Date: Fri, 29 Apr 2005 7:04:18 +0300

> > I don't see anything wrong with that.  It's the ADs' job to push back 
> > on documents with technical flaws.  They're supposed to use their 
> > judgments as technical experts, not just be conduits of information 
> > supplied by others.
> 
> I disagree that the ADs are necessarily that much more technically
> astute than the rest of us.  I would actually feel more comfortable with
> ADs providing their technical judgment with the rest of us, through the
> same mechanism: WG or IETF last call.  And that technical judgment
> should be expressed openly, in an archived WG mailing list, where
> everyone's technical input can be reviewed and everyone who provides
> technical input can be held accountable.
> 
> If whoever wants to provide technical input to make a significant change
> in a specification, be it an AD or a WG chair or ..., can't make a
> sufficiently convincing case, in an open WG mailing list, that there at
> least might not be "rough consensus" for a specification, then I would
> say the specification doesn't need the change.

I tend to agree with Ralph here. I've had very good dealings with ADs when they bring their DISCUSS to the WG mailing list.  This helps to resolve the issue; sometimes making the WG realize something which they missed, and sometimes even the AD realizes that the WG has considered their DISCUSS and rejected it for technically sound reasons.

Engaging in WG discusses is time consuming, but I think it is consistent with the broad principle of "rought consensus and running code."

John

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 29 Apr 2005 12:39:57 -0700

> From: Jeffrey Hutzelman [mailto:[email-masked]] 

> On Friday, April 29, 2005 09:18:08 AM -0700 "Hallam-Baker, Phillip" 
> <[email-masked]> wrote:
> 
> > You miss out (3) TELL PEOPLE ABOUT THE TRACKER THAT EXISTS.
> >
> > There is actually a tracker:
> >     https://datatracker.ietf.org/public/pidtracker.cgi
> 
> Which has been linked to from the internet-drafts page for 
> quite some time 
> now.  It's also been mentioned in IETF plenaries and in 
> numerous other 
> forums.  I certainly knew about it well before becoming a WG chair.

The fact that others are proposing that the IETF build this type of tool
is evidence that others have the same problem. Many people do not attend
every IETF.

There should also be a prominent link to the datatracker from each
working group page. 

> If you mean "what is the standards status of RFCxxxx; what updates or 
> obsoletes it, etc", that information is in the rfc-index.txt 
> file, and has 
> been for as long as I can remember.

Even knowing that the file exists it takes me a lot of time to find each
time I need to refer to it. The IETF site is one of the few where I have
learned to use google as the primary navigation tool.
 
If the STD series is going to be useful then the tool that spits out the
current status of the RFCs should spit out HTML pages with the RFCs
indexed by status.

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 29 Apr 2005 15:07:50 -0700

That's because its like one of those early adventure games where the
view of the site depends on which door you enter by.

I don't know if there is a link from the RFC editor pages to the
material Bob cited. I had not clicked on the link in the RFC listings
pages marked RFC editor because I always assumed that it links to the
same material as the RFC Editor pages.

The IETF web site is like navigating a automated phone dial tree
designed by one of those customer service execs whose objective is to
loose as many complaints as possible.

> -----Original Message-----
> From: Dave Crocker [mailto:[email-masked]] 
> Sent: Friday, April 29, 2005 5:47 PM
> To: Bob Braden; Hallam-Baker, Phillip
> Cc: [email-masked]
> Subject: RE: text suggested by ADs
> 
> 
> >  *> If the STD series is going to be useful then the tool 
> that spits out
> >  the   *> current status of the RFCs should spit out HTML 
> pages with the
> >  RFCs   *> indexed by status.   *> 
> >
> >  Presumably you mean:
> >
> >         http://www.rfc-editor.org/category.html
> 
> 
> bob,
> 
> I've just looked at rfc-editor.org and 
> rfc-editor.org/rfc.html.  Neither of 
> them give any indication that there is such a means of listing STDs.  
> 
> For that matter <http://www.rfc-editor.org/rfc.html>  lists 
> indices to RFCs, 
> FYIs and BCPs, but not to STDs! 
> 
>  d/
>  ---
>  Dave Crocker
>  Brandenburg InternetWorking
>  +1.408.246.8253
>  dcrocker  a t ...
>  WE'VE MOVED to:  www.bbiw.net
> 
> 
>

---

From: Bob Braden <[email-masked]>
Date: Fri, 29 Apr 2005 15:05:11 -0700

It should be noted that the RFC Editor has been maintaining online indexes 
to the RFC series for
at least 20 years, and that the IETF RFCs are a subset of the RFC collection.

Bob Braden

---

From: Dave Crocker <[email-masked]>
Date: Sat, 30 Apr 2005 21:39:59 -0700

Fred,

>  On #2, when an AD posts a DISCUSS, s/he is now required to post a comment
>  ... what you want is an automated note sent to the WG

sounds dandy.

>  On your third comment, which you didn't number, there has been a mechanism
>  for resolving a pocket veto since about 1997 or 1998, ... To deal
>  with the latter case, the IESG adopted a procedure in which a restricted
>  set of answers were acceptable: "YES" or "NO", no "DISCUSS", "ABSTAIN", or
>  "NO OBJECTION". If two ADs voted "NO", the document was returned to the
>  working group, and otherwise the "DISCUSS" was overridden. 

thanks for clarifying this.  is it documented somewhere public?  i wandered 
around the ietf.org site but didn't trip across it.

>  I have been looking at the following paragraph for a little while and
>  rewording around one of our odd distinctions. Sometimes documents come to
>  the IESG from a working group, and sometimes they come as individual
>  submissions placed by one or more authors. What I want is the largest
>  relevant inclusion - if a document comes from a working group, the
>  comments should go to the working group, and if it comes as an individual
>  submission it should go to all of the authors. 

I'll see your largeness and raise you one:  all documents subject to iesg 
review should have a cited venue for open public discussion.  Given that such 
documents get an IETF-wide Last Call, it seems reasonable to direct folks 
somewhere other than the ietf mailing list.  And that's were the AD comments 
should go, too, I think.

>     But let me define a term: to me, for the purposes of
>  discussion, a "working group" is ...

ok.

>  I think we need to give the ADs a little credit here. Your use of the
>  terms "intractable" and "veto" make them sound pretty awful. 

FWIW I fully understand that and have chosen them intentionally.  

I am trying to discuss a situation constrained by a narrow set of conditions 
and, yes, the situation is indeed awful.  It is also a real and periodic part 
of the IETF landscape -- and it has been going back to pre-Kobe.  In fact, it 
is related to what I believe was at the core of the chronic discontent that 
led to the Kobe revolt.

And that's why I see the issue as fundamentally structural, rather than 
personal.  It happens too regularly, across too many different personalities 
-- most of whom have otherwise excellent track records -- to believe that this 
is just a matter of a random AD going astray.

We are talking about conditions that we all hope are at the boundary.

Unfortunately there seems to be pretty solid community consensus that it does 
occur.  So, I am focusing on the case of an AD being the problem.  There are, 
of course, cases where working groups are the problem -- which is, after all, 
why we need to retain meaningful late-stage review and, yes, refusal. But that 
is not my focus at the moment.

In  this AD-at-the-boundary condition, the perception from the outside is that 
the AD is being intractable.  It does not matter that the AD is certain to 
think they are trying to do good things.  What matters is that valid attempts 
to resolve matters do not make progress and that there is strong indication 
that the problem is the AD and not the working group.  In these cases, the 
effect of that AD's "discuss" is really a pure veto.

>In fact, when
>  an AD feels that strongly about something, there is usually at least some
>  merit to the position. What I would really prefer to see happen when
>  things come to a head like that - which isn't all that often - is for the
>  document to be returned to the WG, the AD to talk with the WG (in email or
>  in person) about the issues, and work with the WG to come to closure on
>  the issues.

That's not when things come to a head.  We used to have a problem getting the 
objecting AD to talk with the working group but my sense is that that is not a 
problem anymore.  So, I consider public followup with the working group, by 
the AD, to a natural and obligatory step immediately after the Discuss and, 
from what I can tell, it happens regularly.  So, that's not the problem.

The problem is after that, when there are legitimate efforts by the working 
group to understand and resolve matters. However they are not able to for any 
of the usual array of reasons that legitimately permit characterizing the AD 
as being intractable.

This is what the override procedure you have described appears to be designed 
to deal with.  So it's good to hear about it.

 d/
 ---
 Dave Crocker